// Based on Jeremy Blum's sketch
// modified by Steven Dayton

import processing.serial.*;
Serial port;
String temp_c = "";
String temp_f = "";
String data = "";
int index = 0;

PImage img;
PFont font;

void setup(){
  size(260, 350);
  port = new Serial(this, "COM5", 9600);
  port.bufferUntil('.');
  smooth();
  img = loadImage("Tempdisplay260x350Art1.jpg");
  //img = loadImage("Tempdisplay260x350Art2.jpg");
  //img = loadImage("Tempdisplay260x350Art3.jpg");
  font = loadFont("Harting_Plain-80.vlw");
  textFont(font);
}

void draw(){
  image(img, 0, 0);
  fill(60, 35, 0);
  textSize(45);
  textAlign(CENTER);
  text(temp_c, 130, 220);
  text(temp_f, 130, 265);
  textSize(14);
  text("Graphics by StevenD 2011", 130, 340);
}

void serialEvent(Serial port){
  data = port.readStringUntil('.');
  data = data.substring(0, data.length() - 1);
  // Look for the comma between Celcius and Farenheit
  index = data.indexOf(',');
  // Fetch the C Temp
  temp_c = data.substring(0, index-1);
  temp_c = temp_c + "-C";
  // Fetch the F Temp
  temp_f = data.substring(index+1, data.length()-1);
  temp_f = temp_f + "-F";
}
